0

Is there a patch available for sudo in elementary OS? I see there's one available for Ubuntu, but I can't find anything about elementary OS. I'm running elementary OS, and it's completely updated, but it's still showing the sudo version as 1.8.21p2, and from what I can tell it should be version 1.8.28 in order to be safe from this vulnerability.
If there's nothing available specifically for elementary OS, what would happen if I installed the Ubuntu version (https://usn.ubuntu.com/4154-1/) ?

2

elementary OS Juno is based on Ubuntu 18.04 LTS. Any system update to core Ubuntu will have affect on elementary OS too. It means when Ubuntu 18.04 has been patched with latest sudo, it will be on elementary OS too. You need update your system then to get the new patch.

From your shared link, It's telling:

The problem can be corrected by updating your system to the following package versions:
Ubuntu 18.04 LTS
    sudo - 1.8.21p2-3ubuntu1.1
    sudo-ldap - 1.8.21p2-3ubuntu1.1

And my eOS sudo is:

$ dpkg-query --showformat='${Package}\t${Version}\n' --show sudo 
sudo    1.8.21p2-3ubuntu1.1

It's already updated with patched version. Probably you are safe too.

|improve this answer|||||

Your Answer

By clicking “Post Your Answer”, you agree to our terms of service, privacy policy and cookie policy

Not the answer you're looking for? Browse other questions tagged or ask your own question.